package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.Tunnel;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllTunnelsNode extends Renderable{

    private final List<Tunnel> tunnels;

    public AllTunnelsNode(List<Tunnel> tunnels) {
        this.tunnels = tunnels;
    }

    @Override
    public void refreshTextColor() {
        // no color changes
    }

    @Override
    public String getText() {
        return "Tunnels";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.renderTunnels(tunnels);
    }

}
